#******************************************************************************
#
#  Name: PASSWORD.mak
#
#  Description: Generic make file for PASSWORD project
#
#******************************************************************************

.AUTODEPEND

ProjectName = PASSWORD
OutputDir = 
IncludeDir = p:\BC45\Include;c:\PRW\Incs;
PRDir = c:\PRW\LIBS\\
CDir = p:\BC45\LIB\\
PMDir = 
Compile = Bcc -ml -v -c -w-par -W -2 -DPRWIN -I$(IncludeDir)
Link = Tlink /v /m /c /n /Tw
Binder = 
!if x$(Binder) != x
Bind = $(Binder) $<
!endif
FrmBuildOpts = 
RscBuildOpts = -w
StartupCode = $(CDir)C0WL.OBJ
Objs = MAIN.OBJ $(ProjectName).OBJ
Libs1 = $(PRDir)PRWAPI.LIB $(PRDir)PRWHWP.LIB $(PRDir)PRWALT.LIB $(PRDir)PRWKBD.LIB $(PRDir)PRWVRBL.LIB $(PRDir)PRWDB_BL.LIB $(CDir)IMPORT.LIB $(CDir)MATHWL.LIB $(CDir)CWL.LIB
Resources =  \
form1.rsc \
form2.rsc
DefFile = $(PRDir)PRW.DEF

#*******************************************************
#                      Build Forms
#*******************************************************
.frm{$(OutputDir)}.rsc:
	frmbuild $< $(FrmBuildOpts)


#*******************************************************
#                       Compile
#*******************************************************
.c{$(OutputDir)}.obj:
	$(Compile) $<


#*******************************************************
#                        Link
#*******************************************************
$(OutputDir)$(ProjectName).exe : $(OutputDir)$(ProjectName).rsc $(Objs)
	$(Link) @&&|
$(StartupCode) $(Objs)
$*
$*
$(Libs1)
$(DefFile)
|
	$(Bind)

#*******************************************************
#                    Build Resources
#*******************************************************
$(OutputDir)$(ProjectName).rsc : $(Resources)
	rscbuild $(RscHdrSwitch) $* $* $* $(RscBuildOpts)

